<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="utilisateur">
      <h2 data-cy="utilisateurDetailsHeading"><span jhiTranslate="blogApp.utilisateur.detail.title">Utilisateur</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="blogApp.utilisateur.role">Role</span></dt>
        <dd>
          <span jhiTranslate="{{ 'blogApp.Role.' + utilisateur.role }}">{{ utilisateur.role }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.utilisateur.id">Id</span></dt>
        <dd>
          <span>{{ utilisateur.id }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.utilisateur.name">Name</span></dt>
        <dd>
          <span>{{ utilisateur.name }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.utilisateur.adresse">Adresse</span></dt>
        <dd>
          <span>{{ utilisateur.adresse }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.utilisateur.telephone">Telephone</span></dt>
        <dd>
          <span>{{ utilisateur.telephone }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.utilisateur.mail">Mail</span></dt>
        <dd>
          <span>{{ utilisateur.mail }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.utilisateur.cooperative">Cooperative</span></dt>
        <dd>
          <span *ngFor="let cooperative of utilisateur.cooperatives; let last = last">
            <a [routerLink]="['/cooperative', cooperative.id, 'view']">{{ cooperative.id }}</a
            >{{ last ? '' : ', ' }}
          </span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/utilisateur', utilisateur.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
